Bug 1881933 - The cluster list page doesn't automatically refresh when cluster installation progresses
Summary: The cluster list page doesn't automatically refresh when cluster installation...
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Jiri Tomasek
QA Contact: Udi Kalifon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 12:23 UTC by Udi Kalifon
Modified: 2021-07-29 14:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Udi Kalifon 2020-09-23 12:23:18 UTC
Description of problem:
I started a cluster installation and went back to the cluster list page to watch the installation progress. The cluster was in "preparing for installation" the whole time.


Version-Release number of selected component (if applicable):
Staging environment on Sep. 23


How reproducible:
100%


Steps to Reproduce:
1. Start a cluster installation, and switch to the clusters list page soon after the installation starts running


Actual results:
The cluster state never updates

Comment 1 Jiri Tomasek 2021-01-06 09:38:18 UTC
Lowering priority due to clusters list not being used anywhere in production

Comment 2 Jiri Tomasek 2021-03-17 09:43:05 UTC
This is resolved as part of integrating with OCM cluster list

Comment 4 Udi Kalifon 2021-05-12 09:42:53 UTC
The cluster list doesn't update. The status says "Draft" and doesn't change when the status is ready or starting the installation. Just keep 2 tabs open: one on the cluster itself, and one on the cluster list. When you start the installation there is no update in the cluster list page. You have to press F5.


Note You need to log in before you can comment on or make changes to this bug.